package simplygroovy.sql.stats

/**
 * Created: 27/01/12
 * @author david
 */
class AggregateStatsUtil {
    public static Map<String, Set<Object>> collectColumnValues(List<AggregateStats> stats) {
        Map<String, Set<Object>> columnValues = [:]
        stats.each { AggregateStats stat ->
            for(Map.Entry entry: stat.columnIterator()) {
                String columnName = entry.key
                Set<Object> values = columnValues[columnName]
                if(!values) {
                    values = []
                    columnValues[columnName] = values
                }
                if(!values.contains(entry.value)) {
                    values << entry.value
                }
            }
        }
        return columnValues
    }
}
